# @qlik/embed-web-components

## 1.3.0

### Minor Changes

- 22b51b6: Add support for multiple host configs for different <qlik-embed> elements

## 1.2.19

### Patch Changes

- Updated dependencies [d18657e]
  - @qlik/embed-runtime@1.2.9
  - @qlik/runtime-module-loader@1.0.21

## 1.2.18

### Patch Changes

- Updated dependencies [4d0d077]
  - @qlik/runtime-module-loader@1.0.20

## 1.2.17

### Patch Changes

- 9bb0ce8: chore: update npm dependencies
- Updated dependencies [9bb0ce8]
  - @qlik/embed-runtime@1.2.8
  - @qlik/runtime-module-loader@1.0.19

## 1.2.16

### Patch Changes

- Updated dependencies [743e6a0]
  - @qlik/embed-runtime@1.2.7
  - @qlik/runtime-module-loader@1.0.18

## 1.2.15

### Patch Changes

- Updated dependencies [c439bcf]
  - @qlik/embed-runtime@1.2.6
  - @qlik/runtime-module-loader@1.0.17

## 1.2.14

### Patch Changes

- 42aed93: chore: update npm dependencies
- Updated dependencies [42aed93]
- Updated dependencies [8d248ca]
  - @qlik/embed-runtime@1.2.5
  - @qlik/runtime-module-loader@1.0.16

## 1.2.13

### Patch Changes

- Updated dependencies [c32da18]
  - @qlik/embed-runtime@1.2.4
  - @qlik/runtime-module-loader@1.0.15

## 1.2.12

### Patch Changes

- Updated dependencies [9f031db]
  - @qlik/embed-runtime@1.2.3
  - @qlik/runtime-module-loader@1.0.14

## 1.2.11

### Patch Changes

- c78c897: fix: issue with props-resolver for multiple embeddings

## 1.2.10

### Patch Changes

- Updated dependencies [ab50bf7]
  - @qlik/embed-runtime@1.2.2
  - @qlik/runtime-module-loader@1.0.13

## 1.2.9

### Patch Changes

- Updated dependencies [9844d4f]
- Updated dependencies [4717843]
  - @qlik/embed-runtime@1.2.1
  - @qlik/runtime-module-loader@1.0.12

## 1.2.8

### Patch Changes

- 456a848: feat: allow selections to be applied to alternate states
- Updated dependencies [456a848]
- Updated dependencies [62fcc63]
  - @qlik/embed-runtime@1.2.0
  - @qlik/runtime-module-loader@1.0.11

## 1.2.7

### Patch Changes

- 57d0907: feat: add access code prop for anonymous

## 1.2.6

### Patch Changes

- Updated dependencies [50f60f2]
  - @qlik/embed-runtime@1.1.6
  - @qlik/runtime-module-loader@1.0.10

## 1.2.5

### Patch Changes

- 2e7b9e6: fix: support initial selections in initial html document
- 094f710: chore: update npm dependencies
- Updated dependencies [094f710]
  - @qlik/embed-runtime@1.1.5
  - @qlik/runtime-module-loader@1.0.9

## 1.2.4

### Patch Changes

- feed87c: chore: update npm dependencies
- Updated dependencies [feed87c]
  - @qlik/embed-runtime@1.1.4
  - @qlik/runtime-module-loader@1.0.8

## 1.2.3

### Patch Changes

- a330819: chore: update npm dependencies
- Updated dependencies [44d15c2]
- Updated dependencies [a330819]
  - @qlik/embed-runtime@1.1.3
  - @qlik/runtime-module-loader@1.0.7

## 1.2.2

### Patch Changes

- Updated dependencies [5961fa7]
  - @qlik/embed-runtime@1.1.2
  - @qlik/runtime-module-loader@1.0.6

## 1.2.1

### Patch Changes

- Updated dependencies [730dd0a]
  - @qlik/embed-runtime@1.1.1
  - @qlik/runtime-module-loader@1.0.5

## 1.2.0

### Minor Changes

- 757b8f6: Support for dynamically created object in <qlik-embed /> elements.
  - Charts can now be created with `type`, `dimensions` and `measures`
  - Example:

```html
<qlik-embed
  id="visualization"
  ui="analytics/chart"
  app-id="<appid>"
  type="barchart"
  dimensions='["Dimension1"]'
  measures='["Measure1", "=Sum(Expression2)", "=Avg(Expression2)"]'
  properties='{ orientation: "horizontal", barGrouping: { grouping: "stacked" } }'
></qlik-embed>
```

- Support for more type delimiters
  - Previously an html attribute to the `<qlik-embed />` tag could include `:json` or `:number` to indicate which type the string in the attribute should be parsed to. In some environments the `:` is not allowed as a html parameter so it is now possible to also use `___` as a delimiter. So e.g. `<qlik-embed context___json='{ theme: "Breeze" }' ... />` would be parsed as json.

### Patch Changes

- Updated dependencies [757b8f6]
- Updated dependencies [1efc7ed]
  - @qlik/embed-runtime@1.1.0
  - @qlik/runtime-module-loader@1.0.4

## 1.1.7

### Patch Changes

- 1cea463: feat: update exported types from the qix module
- 6757ebd: Add module field in package.json
- Updated dependencies [1cea463]
  - @qlik/embed-runtime@1.0.3
  - @qlik/runtime-module-loader@1.0.3

## 1.1.6

### Patch Changes

- dd9aafe: Build output file as iife and remove module from package.json

## 1.1.5

### Patch Changes

- c2d92b6: Remove type="module" from package.json

## 1.1.4

### Patch Changes

- 7e4638b: Reapply revert done for web-components 1.1.2->1.1.3
- Updated dependencies [7e4638b]
  - @qlik/embed-runtime@1.0.2
  - @qlik/runtime-module-loader@1.0.2

## 1.1.3

### Patch Changes

- 596ceb0: Revert 4856cb1 due to problems with script loading
- Updated dependencies [596ceb0]
  - @qlik/embed-runtime@1.0.1
  - @qlik/runtime-module-loader@1.0.1

## 1.1.2

### Patch Changes

- 4856cb1: Updated build tooling and types. Built output is now in es-module format, but that should not have any affect for the browsers we support.
- Updated dependencies [4856cb1]
  - @qlik/embed-runtime@1.0.0
  - @qlik/runtime-module-loader@1.0.0

## 1.1.1

### Patch Changes

- Updated dependencies [212ceab]
  - @qlik/runtime-module-loader@0.2.7

## 1.1.0

### Minor Changes

- 5a0ec0a: feat: support oauth impersonation

### Patch Changes

- Updated dependencies [5a0ec0a]
  - @qlik/embed-runtime@0.7.0
  - @qlik/runtime-module-loader@0.2.6

## 1.0.5

### Patch Changes

- Updated dependencies [182eea8]
  - @qlik/embed-runtime@0.6.4
  - @qlik/runtime-module-loader@0.2.5

## 1.0.4

### Patch Changes

- Updated dependencies [b4ea5b8]
  - @qlik/embed-runtime@0.6.3
  - @qlik/runtime-module-loader@0.2.4

## 1.0.3

### Patch Changes

- Updated dependencies [5a4ae12]
  - @qlik/embed-runtime@0.6.2
  - @qlik/runtime-module-loader@0.2.3

## 1.0.2

### Patch Changes

- Updated dependencies [ec0f5aa]
  - @qlik/runtime-module-loader@0.2.2

## 1.0.1

### Patch Changes

- 05f024a: Update description in package.json
- Updated dependencies [05f024a]
  - @qlik/runtime-module-loader@0.2.1
  - @qlik/embed-runtime@0.6.1

## 1.0.0

### Major Changes

- 4f7f631: Version 1.0.0 release

### Patch Changes

- Updated dependencies [4f7f631]
  - @qlik/runtime-module-loader@0.2.0
  - @qlik/embed-runtime@0.6.0

## 0.5.8

### Patch Changes

- Updated dependencies [3200f68]
  - @qlik/embed-runtime@0.5.10
  - @qlik/runtime-module-loader@0.1.15

## 0.5.7

### Patch Changes

- Updated dependencies [27a36b8]
  - @qlik/embed-runtime@0.5.9
  - @qlik/runtime-module-loader@0.1.14

## 0.5.6

### Patch Changes

- 891eb70: Fancy UI names
- 03c6ec9: Update npm dependencies
- Updated dependencies [891eb70]
- Updated dependencies [03c6ec9]
  - @qlik/embed-runtime@0.5.8
  - @qlik/runtime-module-loader@0.1.13

## 0.5.5

### Patch Changes

- 97f542f: fix: update types for auth
- Updated dependencies [97f542f]
  - @qlik/embed-runtime@0.5.7
  - @qlik/runtime-module-loader@0.1.12

## 0.5.4

### Patch Changes

- 58d0724: chore: update npm dependencies
- Updated dependencies [58d0724]
  - @qlik/embed-runtime@0.5.6
  - @qlik/runtime-module-loader@0.1.11

## 0.5.3

### Patch Changes

- 04a1e61: chore: update npm dependencies
- Updated dependencies [04a1e61]
  - @qlik/embed-runtime@0.5.5
  - @qlik/runtime-module-loader@0.1.10

## 0.5.2

### Patch Changes

- Updated dependencies [7005680]
  - @qlik/embed-runtime@0.5.4
  - @qlik/runtime-module-loader@0.1.9

## 0.5.1

### Patch Changes

- Updated dependencies [fe96872]
  - @qlik/embed-runtime@0.5.3
  - @qlik/runtime-module-loader@0.1.8

## 0.5.0

### Minor Changes

- 5383efb: feat: allow custom auth redirect user confirmation

### Patch Changes

- 50d12d6: HostConfig type enforces runtime checks
- Updated dependencies [50d12d6]
  - @qlik/embed-runtime@0.5.2
  - @qlik/runtime-module-loader@0.1.7

## 0.4.4

### Patch Changes

- 0cddb33: chore: update npm dependencies
- Updated dependencies [0cddb33]
  - @qlik/embed-runtime@0.5.1
  - @qlik/runtime-module-loader@0.1.6

## 0.4.3

### Patch Changes

- 74749d6: Fix release-problem with test-utils
- 0669035: Test and fix up initial-app-state web compoments

## 0.4.2

### Patch Changes

- 9eb361e: Update npm dependencies
- Updated dependencies [9eb361e]
- Updated dependencies [9eb361e]
  - @qlik/runtime-module-loader@0.1.5
  - @qlik/embed-runtime@0.5.0

## 0.4.1

### Patch Changes

- c856135: unit tests for the ref api
- f510663: add unit tests
- Updated dependencies [f510663]
  - @qlik/runtime-module-loader@0.1.4

## 0.4.0

### Minor Changes

- a76666f: feat(web-components): support number, boolean and json props

## 0.3.0

### Minor Changes

- 457bbb9: feat: imperative apis

### Patch Changes

- Updated dependencies [457bbb9]
  - @qlik/embed-runtime@0.4.0
  - @qlik/runtime-module-loader@0.1.3

## 0.2.1

### Patch Changes

- Updated dependencies [81b5bb5]
  - @qlik/embed-runtime@0.3.0
  - @qlik/runtime-module-loader@0.1.2

## 0.2.0

### Minor Changes

- d94f769: feat: expose iframe properties

### Patch Changes

- Updated dependencies [d94f769]
  - @qlik/embed-runtime@0.2.0
  - @qlik/runtime-module-loader@0.1.1

## 0.1.0

### Minor Changes

- de776bc: Support "node" and "nodenext" AND "type": "module" scenarios when using this package

### Patch Changes

- Updated dependencies [de776bc]
  - @qlik/runtime-module-loader@0.1.0
  - @qlik/embed-runtime@0.1.0

## 0.0.7

### Patch Changes

- d6de353: fix: auth overlay support
- Updated dependencies [d6de353]
  - @qlik/embed-runtime@0.0.7
  - @qlik/runtime-module-loader@0.0.7

## 0.0.6

### Patch Changes

- 28199c4: Add license to package
- Updated dependencies [28199c4]
  - @qlik/embed-runtime@0.0.6
  - @qlik/runtime-module-loader@0.0.6

## 0.0.5

### Patch Changes

- 4bd5812: update npm depencencies
- Updated dependencies [4bd5812]
  - @qlik/runtime-module-loader@0.0.5
  - @qlik/embed-runtime@0.0.5

## 0.0.4

### Patch Changes

- 3fdf4bd: proper exports
- Updated dependencies [3fdf4bd]
  - @qlik/runtime-module-loader@0.0.4
  - @qlik/embed-runtime@0.0.4

## 0.0.3

### Patch Changes

- 6ac9be9: Release with built files
- Updated dependencies [6ac9be9]
  - @qlik/embed-runtime@0.0.3
  - @qlik/runtime-module-loader@0.0.3

## 0.0.2

### Patch Changes

- 0c3e0af: initial release
- Updated dependencies [0c3e0af]
  - @qlik/embed-runtime@0.0.2
  - @qlik/runtime-module-loader@0.0.2
